# Class GSImport

java.lang.Object
GSImport

public class GSImport extends Object
La classe GSImport est utilisée pour importer une grille à partir d'un fichier.

## Constructor Summary

Constructors
Constructor
Description
`GSImport(Window frame)`
Constructeur pour créer une instance de GridMakerImport.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getImportedValues()`
Récupère le tableau des valeurs importées.
`void`
`importGrid()`
Affiche une boîte de dialogue de sélection de fichier et importe la grille à partir du fichier sélectionné.
`boolean`
`isAccessible()`
Permet de savoir si le fichier est accessible
`boolean`
`readFile()`
Lit les données à partir du fichier sélectionné et les stocke dans un tableau.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSImport

public GSImport(Window frame)
Constructeur pour créer une instance de GridMakerImport.

Parameters:
  `frame` - La fenêtre précédente
  `sudokuGrid` - La grille Sudoku

## Method Details

### importGrid

public void importGrid()
Affiche une boîte de dialogue de sélection de fichier et importe la grille à partir du fichier sélectionné.

### readFile

public boolean readFile()
Lit les données à partir du fichier sélectionné et les stocke dans un tableau.

Returns:
  true si la lecture est réussie, false sinon

### isAccessible

public boolean isAccessible()
Permet de savoir si le fichier est accessible

Returns:
  le booleen accessible

### getImportedValues

public int[] getImportedValues()
Récupère le tableau des valeurs importées.

Returns:
  le tableau des valeurs importées